#ifndef __XBOX_H__
#define __XBOX_H__
#ifdef  XBOX_SUPPORT

enum {
	ERR_SUCCESS = 0,  // completed without error

	ERR_I2C_ERROR_TIMEOUT = 0x80000001,  // I2C action failed because it did not complete in a reasonable time
	ERR_I2C_ERROR_BUS = 0x80000002, // I2C action failed due to non retryable bus error

	ERR_BOOT_PIC_ALG_BROKEN = 0x80000101 // PIC algorithm did not pass its self-test
};

extern int I2CTransmitCmdGetReturn(unsigned char bPicAddressI2cFormat, unsigned char Cmd);
extern int I2CTransmitCmdData(unsigned char bPicAddressI2cFormat, unsigned char Cmd, unsigned char Data, int fMode);
extern void I2CTransmitStop(void);

#endif/*XBOX_SUPPORT*/
#endif/*__XBOX_H__*/
